Skip to main content
`Ctrl`+`K`

# Sky2Pix_HEALPix

class astropy.modeling.projections.Sky2Pix_HEALPix(*args, **kwargs)

  Bases: `Sky2PixProjection`, `HEALPix`

  HEALPix projection - sky to pixel.

  Corresponds to the `HPX` projection in FITS WCS.

  Parameters:
    H `python:float`

      The number of facets in longitude direction.

    X `python:float`

      The number of facets in latitude direction.

  Attributes Summary

  `H` |
  `X` |
  `param_names` | Names of the parameters that describe models of this type.

  Attributes Documentation

  H = _ParameterDS('H', value=4.0)
  X = _ParameterDS('X', value=3.0)
  param_names = ('H', 'X')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.